Bug 830478 - Every time I try to connect to a Wireless network, nm-applet says "not authorized to control networking"
Every time I try to connect to a Wireless network, nm-applet says "not author...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-09 22:19 EDT by Rudd-O DragonFear
Modified: 2012-07-26 03:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-26 03:08:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rudd-O DragonFear 2012-06-09 22:19:13 EDT
Description of problem:

Every time I click on any wireless network, nm-applet pops up an error alert saying "not authorized to control networking".  The edit connections dialog is all greyed out when I open it.  I cannot add connections either.

Running nm-applet as root, and manually entering the password in the edit connections dialog, solves the problem.

Version-Release number of selected component (if applicable):

r/var/log@karen.dragonfear α:
rpm -q NetworkManager
NetworkManager-0.9.4.0-9.git20120521.fc17.x86_64

0 <- rpm -q NetworkManager
/var/log@karen.dragonfear α:

How reproducible:

Every time.  Started happening after the last batch of updates.
Comment 1 Rudd-O DragonFear 2012-06-09 22:20:58 EDT
cat /etc/dbus-1/system.d/org.freedesktop.NetworkManager.conf 
<!DOCTYPE busconfig PUBLIC
 "-//freedesktop//DTD D-BUS Bus Configuration 1.0//EN"
 "http://www.freedesktop.org/standards/dbus/1.0/busconfig.dtd">
<busconfig>
        <policy user="root">
                <allow own="org.freedesktop.NetworkManager"/>
                <allow send_destination="org.freedesktop.NetworkManager"/>

                <allow send_destination="org.freedesktop.NetworkManager"
                       send_interface="org.freedesktop.NetworkManager.PPP"/>

                <allow send_interface="org.freedesktop.NetworkManager.SecretAgent"/>

                <!-- Allow NM to talk to known VPN plugins; due to a bug in
                     the D-Bus daemon, when a plugin is installed and the user
                     immediately tries to use it, the VPN plugin's rules aren't
                     always loaded into dbus-daemon.  Those rules allow NM to
                     talk to the plugin.  Oops.  Work around that by explicitly
                     allowing NM to talk to VPN plugins here.
                  -->
                <allow send_destination="org.freedesktop.NetworkManager.openconnect"/>
                <allow send_destination="org.freedesktop.NetworkManager.openswan"/>
                <allow send_destination="org.freedesktop.NetworkManager.openvpn"/>
                <allow send_destination="org.freedesktop.NetworkManager.pptp"/>
                <allow send_destination="org.freedesktop.NetworkManager.vpnc"/>
        </policy>                                                                                       
        <policy at_console="true">                                                                      
                <allow send_destination="org.freedesktop.NetworkManager"/>                              
                                                                                                        
                <allow send_destination="org.freedesktop.NetworkManager"                                
                       send_interface="org.freedesktop.DBus.Introspectable"/>                           
                                                                                                        
                <allow send_destination="org.freedesktop.NetworkManager"                                
                       send_interface="org.freedesktop.DBus.Properties"/>                               
                                                                                                        
                <allow send_destination="org.freedesktop.NetworkManager"                                
                       send_interface="org.freedesktop.NetworkManager"/>                                
                                                                                                        
                <allow send_destination="org.freedesktop.NetworkManager"                                
                       send_interface="org.freedesktop.NetworkManager.AccessPoint"/>                    

                <allow send_destination="org.freedesktop.NetworkManager"
                       send_interface="org.freedesktop.NetworkManager.Connection.Active"/>

                <allow send_destination="org.freedesktop.NetworkManager"
                       send_interface="org.freedesktop.NetworkManager.Device.Modem"/>

                <allow send_destination="org.freedesktop.NetworkManager"
                       send_interface="org.freedesktop.NetworkManager.Device.Wired"/>

                <allow send_destination="org.freedesktop.NetworkManager"
                       send_interface="org.freedesktop.NetworkManager.Device.Serial"/>

                <allow send_destination="org.freedesktop.NetworkManager"
                       send_interface="org.freedesktop.NetworkManager.Device.Wireless"/>

                <allow send_destination="org.freedesktop.NetworkManager"
                       send_interface="org.freedesktop.NetworkManager.Device"/>

                <allow send_destination="org.freedesktop.NetworkManager"
                       send_interface="org.freedesktop.NetworkManager.DHCP4Config"/>

                <allow send_destination="org.freedesktop.NetworkManager"
                       send_interface="org.freedesktop.NetworkManager.IP4Config"/>

                <allow send_destination="org.freedesktop.NetworkManager"
                       send_interface="org.freedesktop.NetworkManager.VPN.Connection"/>

                <allow send_destination="org.freedesktop.NetworkManager"
                       send_interface="org.freedesktop.NetworkManager.AgentManager"/>

                <deny send_destination="org.freedesktop.NetworkManager"
                       send_interface="org.freedesktop.NetworkManager"
                       send_member="SetLogging"/>

                <deny send_destination="org.freedesktop.NetworkManager"
                       send_interface="org.freedesktop.NetworkManager"
                       send_member="Sleep"/>

                <deny send_destination="org.freedesktop.NetworkManager"
                       send_interface="org.freedesktop.NetworkManager"
                       send_member="sleep"/>

                <deny send_destination="org.freedesktop.NetworkManager"
                       send_interface="org.freedesktop.NetworkManager"
                       send_member="wake"/>
        </policy>
        <policy context="default">
                <deny own="org.freedesktop.NetworkManager"/>

                <deny send_destination="org.freedesktop.NetworkManager"/>

                <allow send_destination="org.freedesktop.NetworkManager"
                       send_interface="org.freedesktop.NetworkManager.Settings"/>

                <allow send_destination="org.freedesktop.NetworkManager"
                       send_interface="org.freedesktop.NetworkManager.AgentManager"/>

                <deny send_destination="org.freedesktop.NetworkManager"
                       send_interface="org.freedesktop.NetworkManager"
                       send_member="SetLogging"/>

                <deny send_destination="org.freedesktop.NetworkManager"
                       send_interface="org.freedesktop.NetworkManager"
                       send_member="Sleep"/>

                <deny send_destination="org.freedesktop.NetworkManager"
                       send_interface="org.freedesktop.NetworkManager"
                       send_member="sleep"/>

                <deny send_destination="org.freedesktop.NetworkManager"
                       send_interface="org.freedesktop.NetworkManager"
                       send_member="wake"/>
        </policy>

        <limit name="max_replies_per_connection">512</limit>
</busconfig>
Comment 2 Rudd-O DragonFear 2012-06-09 22:32:17 EDT
/var/log@karen.dragonfear α:
dbus-send --system --print-reply --dest=org.freedesktop.NetworkManager /org/freedesktop/NetworkManager org.freedesktop.NetworkManager.GetPermissions
method return sender=:1.156 -> dest=:1.195 reply_serial=2
   array [
      dict entry(
         string "org.freedesktop.NetworkManager.network-control"
         string "no"
      )
      dict entry(
         string "org.freedesktop.NetworkManager.enable-disable-wwan"
         string "no"
      )
      dict entry(
         string "org.freedesktop.NetworkManager.settings.modify.own"
         string "no"
      )
      dict entry(
         string "org.freedesktop.NetworkManager.wifi.share.protected"
         string "no"
      )
      dict entry(
         string "org.freedesktop.NetworkManager.wifi.share.open"
         string "no"
      )
      dict entry(
         string "org.freedesktop.NetworkManager.enable-disable-network"
         string "no"
      )
      dict entry(
         string "org.freedesktop.NetworkManager.enable-disable-wimax"
         string "no"
      )
      dict entry(
         string "org.freedesktop.NetworkManager.sleep-wake"
         string "no"
      )
      dict entry(
         string "org.freedesktop.NetworkManager.enable-disable-wifi"
         string "no"
      )
      dict entry(
         string "org.freedesktop.NetworkManager.settings.modify.system"
         string "no"
      )
      dict entry(
         string "org.freedesktop.NetworkManager.settings.modify.hostname"
         string "no"
      )
   ]
Comment 3 Jirka Klimes 2012-06-27 10:31:50 EDT
Could be an issue with systemd/ConsoleKit or PolicyKit.
I'm not sure now what is the state of ConsoleKit -> systemd transition.

Did you have "yes" for <allow_active> elements in /usr/share/polkit-1/actions/org.freedesktop.NetworkManager.policy?

What desktop environment do you use? Is your session active?

$ ck-list-sessions
Comment 4 Rudd-O DragonFear 2012-07-25 12:56:47 EDT
I don't remember how the problem solved itself, or what I did to solve the problem, but I cannot repro anymore.

Note You need to log in before you can comment on or make changes to this bug.